Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.common
Class AuditFolderPath

    java.lang.Object
      oracle.ifs.common.AuditFolderPath

All Implemented Interfaces:
  java.io.Serializable, LooselyBoundedCacheable

    public final class AuditFolderPath

extends java.lang.Object
implements java.io.Serializable, LooselyBoundedCacheable

An AuditFolderPath represents a folder path captured at the time an AuditEvent is posted, and is subsequently used in dispatching the event.

See Also:
  Serialized Form

Constructor Summary
`AuditFolderPath(long folderPathId, long folderContextId, java.lang.Long[] pathIds, long expTime)` Constructs an AuditFolderPath.

Method Summary
`void` | `added(java.lang.Object id)` Called when an instance is added to the cache.
`boolean` | `canPurge()` Gets whether the item can be purged from the the BoundedCache.
`long` | `getExpirationTime()` Gets the timestamp repsenting the time this entry expires, as a time offset from 1970.
`long` | `getFolderContextId()` Gets the ID of the folder context.
`long` | `getFolderPathId()` Gets the ID of the entry in the audit folder path table.
`java.lang.Long[]` | `getPathIds()` The IDs of the items that comprise the folder path.
`boolean` | `isEquivalent(java.lang.Long[] ids)` Checks if the specified array of IDs matches the ID array represented by this instance.
`boolean` | `isExpired()` Checks to see if this instance is expired
`void` | `removed(java.lang.Object id)` Called when an instance is removed to the cache.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AuditFolderPath

    public AuditFolderPath(long folderPathId,
                           long folderContextId,
                           java.lang.Long[] pathIds,
                           long expTime)

  Constructs an AuditFolderPath.

  Parameters:
    `folderPathId` - the ID of the entry in the audit folder path table
    `folderContextId` - the ID of the folder context
    `pathIds` - the IDs of the items that comprise the folder path
    `expTime` - the expiration time

Method Detail

### getFolderPathId

    public long getFolderPathId()

  Description copied from class: `AuditFolderPath`
  Gets the ID of the entry in the audit folder path table.

  Returns:
    the ID of the entry in the audit folder path table

### getFolderContextId

    public long getFolderContextId()

  Description copied from class: `AuditFolderPath`
  Gets the ID of the folder context.

  Returns:
    the ID of the folder context

### getPathIds

    public java.lang.Long[] getPathIds()

  Description copied from class: `AuditFolderPath`
  The IDs of the items that comprise the folder path.

  The array is sorted so that the first element is the audit folder context, and the last is the folder that is a direct child of the domain context.

  Returns:
    the path IDs

### getExpirationTime

    public long getExpirationTime()

  Description copied from class: `AuditFolderPath`
  Gets the timestamp repsenting the time this entry expires, as a time offset from 1970.

  Returns:
    the expiration time

### isEquivalent

    public boolean isEquivalent(java.lang.Long[] ids)

  Description copied from class: `AuditFolderPath`
  Checks if the specified array of IDs matches the ID array represented by this instance.

  Returns:
    true if the specified ID set matches; false otherwise

### isExpired

    public boolean isExpired()

  Description copied from class: `AuditFolderPath`
  Checks to see if this instance is expired

  Returns:
    true if the specified instance is expired; false otherwise

### canPurge

    public boolean canPurge()
                     throws IfsException

  Description copied from class: `AuditFolderPath`
  Gets whether the item can be purged from the the BoundedCache.

  The caller of this method indicates a desire to purge the object. The implementation should treat this as a purge request, but can return false if the item should not be purged.

  Specified by:
    `canPurge` in interface `LooselyBoundedCacheable`
  Returns:
    whether the item can be purged.
  Throws:
    `IfsException` - if operation fails.

### added

    public void added(java.lang.Object id)

  Description copied from class: `AuditFolderPath`
  Called when an instance is added to the cache.

  Specified by:
    `added` in interface `LooselyBoundedCacheable`
  Parameters:
    `id` - the id used for this entry in the cache

### removed

    public void removed(java.lang.Object id)

  Description copied from class: `AuditFolderPath`
  Called when an instance is removed to the cache.

  Specified by:
    `removed` in interface `LooselyBoundedCacheable`
  Parameters:
    `id` - the id used for this entry in the cache

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD